
bluestore - Bug #54248

BlueFS improperly tracks vselector sizes in _flush_special()

02/10/2022 03:27 PM - Adam Kupczyk

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Adam Kupczyk   

Category:    

Target version:    

Source:  Affected Versions:  

Tags: backport_processed ceph-qa-suite:  

Backport: quincy Pull request ID: 44955

Regression: Yes Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

This problem is introduced in fine grain locking refactor.

Related issues:

Copied to bluestore - Backport #54318: quincy: BlueFS improperly tracks vsele... Resolved

History

#1 - 02/10/2022 03:28 PM - Adam Kupczyk

- Backport set to quincy

- Pull request ID set to 44955

#2 - 02/10/2022 03:29 PM - Adam Kupczyk

- Regression changed from No to Yes

#3 - 02/14/2022 04:09 PM - Adam Kupczyk

- Subject changed from BlueFS improperly tracks vselector sizes in _compact_log_async to BlueFS improperly tracks vselector sizes in

_flush_special()

#4 - 02/15/2022 06:16 PM - Neha Ojha

- Status changed from New to Fix Under Review

#5 - 02/17/2022 06:26 PM - Neha Ojha

- Status changed from Fix Under Review to Pending Backport

#6 - 02/17/2022 06:30 PM - Backport Bot

- Copied to Backport #54318: quincy: BlueFS improperly tracks vselector sizes in _flush_special() added

#7 - 08/08/2022 04:28 PM - Backport Bot

- Tags set to backport_processed

#8 - 09/19/2022 09:09 AM - Igor Fedotov

- Status changed from Pending Backport to Resolved
